{#
 # This file is part of the DATAtourisme project.
 # @author Conjecto <contact@conjecto.com>
 # 2022
 # SPDX-License-Identifier: GPL-3.0-or-later
 # For the full copyright and license information, please view the LICENSE file that was distributed with this source code.
 #}

{% extends 'DatatourismeWebAppBundle::modal.html.twig' %}

{% block title %}
    Commentaire de révision
{% endblock %}

{% block footer %}
    <button type="button" class="btn {% block btn_cancel_class %}btn-default{% endblock %} pull-left" data-dismiss="modal">
        {% block btn_cancel_label %}{{ "btn.cancel" | trans }}{% endblock %}
    </button>
    <button type="button" class="btn {% block btn_validate_class %}btn-primary{% endblock %}" data-submit>
        {% block btn_validate_label %}{{ "btn.save" | trans }}{% endblock %}
    </button>
{% endblock %}

{% block modal_body_class -%}
    {%- if form is null -%}
        p-b-0
    {%- endif -%}
{%- endblock %}

{% block body %}
    {% if form is not null %}
        {% form_theme form 'DatatourismeWebAppBundle:Form:bootstrap_3_layout.html.twig' %}
        {{ form_start(form, {'action': app.request.pathinfo}) }}
        {{ form_errors(form) }}
        {{ form_end(form) }}
    {% else %}
        {{ revision.comment | markdownize | raw }}
    {% endif %}
{% endblock %}